Jump to content
GreenSock

Search In
  • More options...
Find results that contain...
Find results in...
BunbunManju

Illegal override of render in com.greensock.TweenMax

Recommended Posts

Hi everyone, I want to ask if anyone know anything about the following:

 

...\bin-release-temp\AOT\AOTBuildOutput4013688907465272080.tmp\ABCFiles\AOTBuildOutput-0000000200.abc:
 
Error #1053: Illegal override of render in com.greensock.TweenMax.
 
Compilation failed while executing : compile-abc
 
 
This error appeared when I tried to export release build from Flash Builder. I only used LoaderMax and TweenNano from greensock, but this is about TweenMax. Please help me.
 
Link to comment
Share on other sites

It sounds like the swfs you are loading might be using different versions of GSAP. Please read here: 

http://greensock.com/forums/topic/4199-greensock-for-android-or-ios/?p=23814

 

The only way TweenMax can throw an error is if you are importing it and instantiating it. From what I understand there has to be TweenMax code somewhere in your app. 

Link to comment
Share on other sites

I did include the TweenMax.as in my project since it is together with com.greensock, but I swear I did not import it and instantiate it. Unless TweenNano.as calls on TweenMax, if not I still do not understand why it will spawn that error. Also... I did looked at the link you provide. I did load swfs, but my swfs never include or import any greensock materials at all.

Link to comment
Share on other sites

Strange, that's the only context I'm familiar with that error occurring. 

 

What version of TweenNano are you using trace(TweenNano.version).

I would suggest downloading a fresh copy of the greensock files and compile your project from another folder or location. Perhaps Flex is caching an old version somewhere. 

 

Not sure how big your project is but perhaps you could switch your TweenNano tweens to TweenLite. 

TweenNano is really only useful for banners where every smidgen of filesize matters. 

 

 I just did a search and it seems you asked about this exact same error last year? http://greensock.com/forums/topic/1687-verifyerror-error-1053-illegal-override-of-resume-solved/?p=44125 Did you find a solution?

 

All my searching shows is that these errors are due to mis-matched versions and its something we rarely hear about. I wish I had a better idea for you. 

Link to comment
Share on other sites

Yes, I did posted the same problem last year, and it was not solved. As such, I did a new posting, hoping someone knows how. I did as you said, download the latest version of greensock, cleaned the project, re-import and path it and all...but it did not work. Only when I manually deleted any residues from the bin-debug folder and the bin-release-temp folder, export a new release build, and IT WORKS! :)

 

So it might be just like you said Carl. The greensock versions in the bin-release-temp folder and the bin-debug folder might had been conflicting with the latest greensock I put in my lib folder. Overall, thanks a lot. :) Apologies if I wasted your time. :)

  • Like 1
Link to comment
Share on other sites

That's great news, and thanks for taking the time to post what caused the issue. 

 

No apologies necessary. I'm sure this thread will help someone in the future! 

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    • No registered users viewing this page.
×